Package ghidra.app.util.bin.format.macho.commands.dyld

# Class RebaseTable.Rebase

java.lang.Object
ghidra.app.util.bin.format.macho.commands.dyld.RebaseTable.Rebase

Enclosing class:
  `RebaseTable`

public static class RebaseTable.Rebase extends Object
A piece of rebase information from a `RebaseTable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rebase()`
  Creates a new `RebaseTable.Rebase`
  `Rebase(RebaseTable.Rebase rebase)`
  Creates a copy of the given `RebaseTable.Rebase`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getSegmentIndex()`
  Returns The segment index.
  `long`
  `getSegmentOffset()`
  Returns The segment offset.
  `int`
  `getType()`
  Returns The type.
  `Integer`
  `getUnknownOpcode()`
  Returns null if the opcode is known; otherwise, returns the unknown opcode's value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Rebase

    public Rebase()
    Creates a new `RebaseTable.Rebase`

  - ### Rebase

    public Rebase(RebaseTable.Rebase rebase)
    Creates a copy of the given `RebaseTable.Rebase`
    Parameters:
      `rebase` - The `RebaseTable.Rebase` to copy

- ## Method Details

  - ### getSegmentIndex

    public int getSegmentIndex()
    Returns The segment index.
    Returns:
      The segment index

  - ### getSegmentOffset

    public long getSegmentOffset()
    Returns The segment offset.
    Returns:
      The segment offset

  - ### getType

    public int getType()
    Returns The type.
    Returns:
      The type

  - ### getUnknownOpcode

    public Integer getUnknownOpcode()
    Returns null if the opcode is known; otherwise, returns the unknown opcode's value.
    Returns:
      null if the opcode is known; otherwise, returns the unknown opcode's value

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`